SbVec4us Class Reference

`#include <Inventor/SbVec4us.h>`

## Public Member Functions

| SbVec4us (const unsigned short v[4])
| SbVec4us (unsigned short x, unsigned short y, unsigned short z, unsigned short w)
| SbVec4us (const SbVec4s &v)
| SbVec4us (const SbVec4ub &v)
| SbVec4us (const SbVec4ui32 &v)
SbVec4us & | setValue (const unsigned short v[4])
SbVec4us & | setValue (unsigned short x, unsigned short y, unsigned short z, unsigned short w)
SbVec4us & | setValue (const SbVec4s &v)
SbVec4us & | setValue (const SbVec4ub &v)
SbVec4us & | setValue (const SbVec4ui32 &v)
const unsigned short * | getValue (void) const
void | getValue (unsigned short &x, unsigned short &y, unsigned short &z, unsigned short &w) const
unsigned short & | operator[] (int i)
const unsigned short & | operator[] (int i) const
int32_t | dot (const SbVec4us &v) const
void | negate (void)
SbVec4us & | operator*= (int d)
SbVec4us & | operator*= (double d)
SbVec4us & | operator/= (int d)
SbVec4us & | operator/= (double d)
SbVec4us & | operator+= (const SbVec4us &v)
SbVec4us & | operator-= (const SbVec4us &v)
SbVec4us | operator- (void) const

## Protected Attributes

unsigned short | vec [4]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec4us.h
- SbVec4us.cpp